function out=final_result(kp,ki,kd,tacho,rt,ov,ss,arr,start,target,final_angle)
    [m,n]=size(arr);
    arr(m+1,1)=round_val(m+1,1);
    arr(m+1,5)=kp;
    arr(m+1,6)=ki;
    arr(m+1,7)=kd;
    arr(m+1,9)=rt;
    arr(m+1,10)=ov;
    arr(m+1,11)=ss;
    arr(m+1,2)=start;
    arr(m+1,3)=target;
    arr(m+1,4)=final_angle;
    arr(m+1,8)=tacho;
    out=arr;
    
end